Exception
Exception::getMessage
Exception
PHP Manual

# Exception::__construct

(PHP 5 >= 5.1.0)

Exception::__construct — Construct the exception

### 설명

public Exception::__construct ([ string `$message`= "" [, int `$code`= 0 [, Exception `$previous`= NULL ]]] )

Constructs the Exception.

### 인수

`message`

  The Exception message to throw.

`code`

  The Exception code.

`previous`

  The previous exception used for the exception chaining.

### 변경점

버전 | 설명
--- | ---
5.3.0 | The `previous` parameter was added.

Exception
Exception::getMessage
Exception
PHP Manual